﻿@*model IEnumerable<Instantly.Models.Order>*@
@model Instantly.ViewModels.OrdersListModel

@{
    ViewData["Title"] = "Index";
}
<div class="container">

    <p>
        <a asp-action="Create">Створити замовлення</a>
    </p>

    <p>
        <button class="btn btn-info" type="button" data-toggle="collapse" data-target="#collapseFilters" aria-expanded="false" aria-controls="collapseFilters">
            Фільтри
        </button>
    </p>

    <div class="collapse" id="collapseFilters">
        <div class="card card-body">
            <form asp-action="Index" asp-controller="Orders">
                <div class="form-group row">
                    <label asp-for="Title" class="col-md-1 col-form-label">Назва</label>
                    <div class="col-md-5">
                        <input name="title" class="form-control" value="@ViewBag.OrderTitle" />
                        <span asp-validation-for="Title" class="text-danger"></span>
                    </div>
                </div>

                <div class="form-group row">
                    <label asp-for="PriceFrom" class="col-md-1 col-form-label">Ціна від</label>
                    <div class="col-md-2">
                        <input name="priceFrom" class="form-control" value="@ViewBag.PriceFrom" />
                        <span asp-validation-for="PriceFrom" class="text-danger"></span>
                    </div>
                    <label asp-for="PriceTo" class="col-md-1 col-form-label">до</label>
                    <div class="col-md-2">
                        <input name="priceTo" class="form-control" value="@ViewBag.PriceTo" />
                        <span asp-validation-for="PriceTo" class="text-danger"></span>
                    </div>
                </div>

                <div class="form-group row">
                    <label asp-for="Tags" class="col-md-1 col-form-label">Тег</label>
                    <div class="col-md-5">
                        <select class="form-control" name="tag" asp-items="Model.Tags" value="@ViewBag.Tag"></select>
                        <span asp-validation-for="Tags" class="text-danger"></span>
                    </div>
                </div>

                <div class="form-group row">
                    <label asp-for="City" class="col-md-1 col-form-label">Місто</label>
                    <div class="col-md-5">
                        <input name="city" class="form-control" value="@ViewBag.City" />
                        <span asp-validation-for="City" class="text-danger"></span>
                    </div>
                </div>

                <div class="form-group row">
                    <div class="col-sm-5">
                        <input type="submit" name="action" value="Пошук" class="btn btn-success" />
                        <input type="submit" name="action" value="Очистити" class="btn btn-danger" />
                    </div>
                </div>
            </form>
        </div>
    </div>
    <br />
    @foreach (Order order in Model.Orders)
    {
        <div class="card">
            <div class="card-header">
                @order.Tag.Name
            </div>
            <div class="card-body">
                <h5 class="card-title">@order.Title <span class="badge badge-success">@order.Price грн</span> </h5>
                <p class="card-text">@order.About</p>
                <a asp-action="Details" asp-route-id="@order.OrderId" class="btn btn-primary">Переглянути</a>
            </div>
            <div class="card-footer text-muted">
                @order.CreationDateTime
            </div>
        </div>
        <br />
    }
</div>
